Organization Registration

Register a new B2B organization customer

Organization Registration

Creates an organization customer and initial admin user.

Endpoint

POST /api/v2.1/customer/organization/registration

Key Defaults (from B2B runner)

  • Passwords: SecurePass123!
  • Category example: fs-cat-b2b-small-001 (Small Business)
  • Legal form: LIMITED_LIABILITY_COMPANY
  • Industry: TECHNOLOGY

Required Headers

X-Forwarded-For string required

Client source IP (runner default: 127.0.0.1)

X-Tenant-ID string required

Tenant identifier

X-Forwarded-From string required

Client source identifier (runner default: integration-client)

platform string required

Client platform (runner default: web)

deviceId string required

Device identifier (runner default: integration-device)

Authorization string required

Bearer token

Request Example

json
{
  "email": "admin@acmecorp-20260331115443-27f5ae.com",
  "password": "SecurePass123!",
  "matchingPassword": "SecurePass123!",
  "roleIds": ["ACCOUNT_OWNER", "ADMIN"],
  "customerCategory": {
    "id": "fs-cat-b2b-small-001",
    "name": "Small Business"
  },
  "organizationCustomer": {
    "customerName": "My Company",
    "organization": {
      "legalName": "My Company Ltd.",
      "tradingName": "My Company",
      "registrationNumber": "REG-20260331115443",
      "taxId": "TAX-20260331115443"
    }
  }
}

Response Example

200
json
{
  "code": 200,
  "data": {
    "organizationId": "f458d016-56bb-43a6-856c-4d0456b2c38c",
    "customerId": "f458d016-56bb-43a6-856c-4d0456b2c38c",
    "email": "admin@acmecorp-20260331115443-27f5ae.com"
  },
  "message": "Organization registered successfully. Default admin will be created automatically."
}

Type to search…

↑↓ navigate open esc close